Bug 91086 - Add print/print preview support in WSDL graphical view
Add print/print preview support in WSDL graphical view
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: WSDL Tools
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Nathan Fiedler
issues@xml
:
Depends on:
Blocks: 89315
  Show dependency treegraph
 
Reported: 2006-12-14 18:07 UTC by Ritesh Adval
Modified: 2008-04-08 01:17 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The code changes to implement this RFE (8.64 KB, text/plain)
2007-01-10 23:46 UTC, Nathan Fiedler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ritesh Adval 2006-12-14 18:07:15 UTC
This is Gavotte Feature.
Comment 1 Nathan Fiedler 2007-01-10 23:33:29 UTC
At the moment it is not possible for wsdlui module to depend on print/api
because they are in different module suites, and enterprise/soa depends on
xml/epsuite, so having a reverse dependency is impossible. Need to devise a
better build setup to avoid this issue.

In the meantime, the diffs are attached to this report. Also need to add
org.netbeans.modules.print.api module as a dependency to wsdlui module, and add
org.netbeans.modules.xml.wsdl.ui as a friend of print/api module.
Comment 2 Nathan Fiedler 2007-01-10 23:46:17 UTC
Created attachment 37247 [details]
The code changes to implement this RFE
Comment 3 Nathan Fiedler 2007-01-13 01:14:03 UTC
In email discussions with Ritesh and Leon, this request was modified to simply
provide a means of printing the WSDL editor graphical view, using the standard
File -> Print menu item. In addition, the Print Preview feature is to be supported.
Comment 4 Nathan Fiedler 2007-01-15 18:56:41 UTC
Implemented in release551 branch.

wsdlui/src/org/netbeans/modules/xml/wsdl/ui/netbeans/module/WSDLDesignMultiViewElement.java;
new revision: 1.1.4.6; previous revision: 1.1.4.5
wsdlui/src/org/netbeans/modules/xml/wsdl/ui/netbeans/module/WSDLEditorSupport.java;
new revision: 1.1.2.23.6.2; previous revision: 1.1.2.23.6.1
wsdlui/src/org/netbeans/modules/xml/wsdl/ui/netbeans/module/WSDLMultiViewSupport.java;
new revision: 1.1.2.11.16.1; previous revision: 1.1.2.11
wsdlui/src/org/netbeans/modules/xml/wsdl/ui/view/grapheditor/GraphView.java;
new revision: 1.1.4.17; previous revision: 1.1.4.16
Comment 5 jlautz 2008-04-08 01:17:52 UTC
Verified a while ago, but reverified with M8 build on Solaris x86:

Product Version: NetBeans IDE Dev (Build 200803251204) - Java CAPS Enabled
Java: 1.5.0_11; Java HotSpot(TM) Client VM 1.5.0_11-b03
System: SunOS version 5.10 running on x86; ISO646-US; en (nb)
Userdir: /Users/lautz/sierrabuilds/JavaCAPSM8/.netbeans/caps


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo